
$dialog_border: if($variant=='light', transparentize(black, 0.77), transparentize($borders_color, 0.1));
$dialog_width:480px;
$dialog_padding:18px;
$dialog_height:48px + 48px;
$dialog_corner_radius: 8px;

$message_button_height: 44px;

.gtkdialog {
	display: none;
	// display: block;
	position: fixed;
	z-index: 100;
	clear: all;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
	background-color: rgb(0,0,0);
	background-color: rgba(0,0,0,0.3);
}


.gtkdialog-content {
	max-width: calc(100%);
	max-height: calc((#{$dialog_height} * 5) - (#{$dialog_padding} * 2));

	overflow: hidden;
	overflow-y: scroll;
	box-sizing: content-box;
	scrollbar-width: none;

	.row {
		margin: $dialog_padding;
		width: calc(100% - (#{$dialog_padding} * 2));
		max-width: calc(100% - (#{$dialog_padding} * 2));
	}

	&.scrollbox {
		overflow-y: scroll;
		max-height: $dialog_width;
	}

	// listrow
	ul.listrow.scrollbox {
		width: 100%;
		max-height: 400px;
		overflow: hidden;
		overflow-y: scroll;
	}
}

.gtkdialog-window {
	margin: 0 auto;
	position: relative;
	top: 12em;
	width: $dialog_width;
	min-height: $dialog_height;
	border-radius: $dialog_corner_radius;
	background-color: $bg_color;
	box-shadow: 0 3px 9px 1px transparentize(black, 0.7),0 0 0 1px $dialog_border; //doing borders with box-shadow
	z-index: 200;
	clear: all;

	&.narrow {
		width: $dialog_width - 80px;
	}

	&.large {

		width: $dialog_width + 80px;
		min-height: $dialog_height + 80px;
	}
}

// action dialog
.action-dialog {
	// border-radius: $dialog_corner_radius $dialog_corner_radius 0 0;
	border-radius: $dialog_corner_radius;
}

.about-dialog {
	border-radius: $dialog_corner_radius;
	top: 8em;

	.gtkdialog-content {
		max-width: calc(100%);
		max-height: calc((#{$dialog_height} * 8) - (#{$dialog_padding} * 2));

		.author {
			margin: 12px;
			display: inline-block;
			text-align: center;
			.author-name {
				display: block;
				margin: 0 auto;
			}
		}

		.avatar {
			margin: 12px;
			display: inline-block;
			float: none;
		}

	}

}

// action dialog
.options-dialog {
	// border-radius: $dialog_corner_radius $dialog_corner_radius 0 0;
	border-radius: $dialog_corner_radius;
	padding:0;
	background-color: $base_color;
	.gtkdialog-content {
		margin: 0;
		padding: 0;
		max-width: 100% !important;

		ul {
			margin: 0;
			border: none;
			border-radius:$dialog_corner_radius;
		}

		.row {
			width: calc(100%) !important;
			max-width: calc(100%) !important;
			margin:0;
		}
	}

	>.titlebar .button-group.float-right {
		margin-right:0 !important;
	}
}

// message dialog
.message-dialog {
	padding: 0;
	top: calc(50% - 80px);
	width: $dialog_width - 80px;
	// max-height: 150px;
	text-align: center;
	border-radius: $dialog_corner_radius;

	&.wide {
		width: $dialog_width - 80px + 24px;
	}

	// buttons
	.button {
		border-radius:0;
		border-bottom:none;
		height: $message_button_height;
		line-height: $message_button_height;
		padding: 0;
		display: block !important;

		// two buttons
		&.float-left {
			width: 50%;
			border-left: none;
			border-radius:0 0 0 $dialog_corner_radius;
		}
		&.float-right {
			width: calc(50% - 1px);
			border-left: none;
			border-right: none;
			border-radius:0 0 $dialog_corner_radius 0;
		}

		// three buttons
		&.action-left {
			float: left;
			width: calc(33% + 1px);
			border-left: none;
			border-radius:0 0 0 $dialog_corner_radius;
		}

		&.action-middle {
			float: left;
			width: 33%;
			border-left: none;
			border-right: none;
			border-radius:0;
		}

		&.action-right {
			float: left;
			width: calc(33% + 1px);
			border-right: none;
			border-radius:0 0 $dialog_corner_radius 0;
		}
	}

	// remove padding
	.gtkdialog-content {
		padding: 0;
		width: 100%;
		max-width: 100%;
		.row {margin: 18px auto;max-width: calc(100% - (#{$dialog_padding * 2}))}
	}
}


@media only screen and (max-width:800px) {

	.message-dialog {
		top: calc(50% - ($dialog_height * 0.25)) !important;
		max-width: $dialog_width - 160px !important;
		width: 90%;
	}

	.gtkdialog-window:not(.message-dialog),
	.gtkdialog-window.large,
	.action-dialog,
	.options-dialog {
		border-radius:0;
		.titlebar {border-radius:0;}
		top:0;
		height: 100%;
		width: 100%;
		margin-top: 32px;
		box-shadow: none;
	}

	.options-dialog {
		.gtkdialog-content {
			max-width: 100% !important;
		}
	}

	.gtkdialog-content {
		height: 100%;
		width: 100%;
		max-height: calc(100% - 80px);
		max-width: 100%;
	}
}